BLAS/SRC/cscal.f(3)

NAME
BLAS/SRC/cscal.f

SYNOPSIS

  Functions/Subroutines
subroutine cscal (n, ca, cx, incx)
CSCAL

Function/Subroutine Documentation

  subroutine cscal (integer n, complex ca, complex, dimension(*) cx, integer incx)

CSCAL

Purpose:

    !>
    !>    CSCAL scales a vector by a constant.
    !>

Parameters
    N

    !>          N is INTEGER
    !>         number of elements in input vector(s)
    !>

    CA

    !>          CA is COMPLEX
    !>           On entry, CA specifies the scalar alpha.
    !>

    CX

    !>          CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )
    !>

    INCX

    !>          INCX is INTEGER
    !>         storage spacing between elements of CX
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>     jack dongarra, linpack,  3/11/78.
    !>     modified 3/93 to return if incx .le. 0.
    !>     modified 12/3/93, array(1) declarations changed to array(*)
    !>

Definition at line 77 of file cscal.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.